# -*- mode: ruby -*-
# vi: set ft=ruby :

# Vagrantfile API/syntax version. Don't touch unless you know what you're doing!
VAGRANTFILE_API_VERSION = "2"

Vagrant.configure(VAGRANTFILE_API_VERSION) do |config|
  config.vm.box = "ubuntu/trusty64"
  config.vm.hostname = "node-mongo"

  config.vm.network :forwarded_port, guest: 3000, host: 3000
  config.vm.network :forwarded_port, guest:27017, host: 27017
  config.ssh.forward_agent = true


  config.vm.provider "virtualbox" do |v|
    v.name = "node-mongo"
  end

  config.vm.provision :shell, path: "provision-node-mongo.sh"
end
